Subject: Re: --exec-path not always honored

From: Johannes Sixt <[email-masked]>
Date: Tue, 17 Mar 2009 11:34:23 +0100

Johannes Schindelin schrieb:
> On Tue, 17 Mar 2009, Johannes Sixt wrote:
> 
>> I noticed this failure if I run git from the build directory:
>>
>> $ ./git --exec-path=. gc
> 
> I am not sure if "." is what you think it is; I imagine it would be 
> $GIT_DIR by the time the PATH variable is adjusted.

This would be *very* bogus, wouldn't it?

> Could you try again with
> 
> 	$ ./git --exec-path="$(pwd)" gc
> 
> ?

It fails in the same way:

$ ./git --exec-path=$(pwd) gc
usage: git pack-objects blah blah...
error: failed to run repack

-- Hannes